Windows 2000/XP NVidia Refresh Rate Fix
Version 2.1 build 167 (18 Oct 2001)

Windows 2000/XP NVidia Refresh Rate Fix provides fix for the default 60Hz refresh rate under Windows XP and Windows 2000 with NVidia display adapters.

You only need to run this program once after you have installed (or reinstalled) your display adapter drivers. No other procedures are necessary.

Homepage: http://www.planetquake.com/ztn/nvreffix/

Contents:

  • What's new
  • How to use
  • Frequently Asked Questions
  • Troubleshooting and program limitations
  • Author and copyright information

Windows 2000/XP NVidia Refresh Rate Fix Copyright © 2000, 2001 Sten Uusvali


Windows 2000/XP NVidia Refresh Rate Fix - What's new

What's new

Build 167, 10/18/2001

  • Modifications to the driver detection engine
  • Support for updating the device list from a file or from the Internet
  • More WinXP'fied user interface
  • Lifted restrictions for specific Windows versions
  • Registry backup will be saved with driver version in the file name
  • Assload of other modifications and bugfixes

Build 159, 09/17/2001

  • Compatibility mode warning
  • Better logging and error reporting

Build 157, 09/16/2001

  • Minor bugfixes
  • Windows XP common controls support

Build 155, 09/15/2001

  • Windows XP support!
  • Driver detection engine rewritten
  • Support for multiadapter configurations
  • Quadro DCC, GeForce 3 and GeForce 2 Go support
  • HTML help
  • Many more changes

03/09/2001

  • Changes to the action list
  • Minor fixes here and there
  • Additions to the FAQ

02/10/2001

  • Added a note about issues with TV-Out
  • More restrictive version checking
  • Minor UI color reference changes
  • New HTML readme completed with FAQ
  • Installer

01/30/2001

  • Added support for NV11DDR and NV11GL
  • Fixed a bug which prevented exiting the program if saving the log failed

11/19/2000

  • NV20 support (based on the Detonator 7.17 drivers)
  • Optional command line argument for specifying another video device for multi-videocard setups, i.e.: -videodev video1 where 'video1' is the name of the device. by default, video0 is used as the primary video adapter.
    [ NOTE:This feature has been removed since version 2.0. Use the display adapter combo box instead. ]

10/23/2000

  • Minor UI adjustments

09/26/2000

  • Minor changes to the Unicode conversion routines
  • Fixes to the readme

09/10/2000

  • 1st public release

09/5/2000

  • Release candidate
  • Made the restart confirmation as a separate dialog to prevent accidental reboots
  • Minor bug fixes

08/23/2000

  • New warning when no NVidia chipset or outdated drivers detected
  • Display current rate in red if it exceeds monitor's supported rate

08/20/2000

  • The program


Windows 2000/XP NVidia Refresh Rate Fix - How to use

How to use

This program has a familiar wizard-like user interface with each page being pretty self-descriptive. It is however strongly advised that you read each page thoroughly, and think twice before giving a positive answer to any questions and warning messages.

Note that no modifications will be made to your setup until you have pressed the Finish button in the last page in this program.

Below is a short overview of the main elements in the editor page.

Color depth buttons

Usually there are 3 buttons located directly above the refresh rate editor window. These buttons show what color depths your display adapter is supporting.

Refresh rate editor window elements

Resolution - displays the available screen resolutions in the given color depth

Current - displays the current default refresh rate in the given resolution. A red value as shown in the screenshot indicates that it exceeds your monitor's supported range at that resolution

Refresh rates - displays all the refresh rates available in the given resolution

Monitor - displays the maximum refresh rate your monitor is capable handling at the given resolution. A blank cell indicates that this resolution is not supported by your monitor. If all the cells are blank, then it is advised not to use this program.

See below how to modify the refresh rates.

Action list

This list contains several pre-defined actions to help you set multiple modes at once. The use of this list will be described below in this chapter.

Clear changes button

Obviously, this button clears all the changes you have made.

How to use the editor

There are several ways to set a new refresh rate. You can set rates to every resolution individually, or you can select an action from the action list to set rates to several resolutions at once. To set the rates individually, just double-click on a refresh rate value on the Refresh rates column. If the new rate falls into the range of your monitor's supported rates, then it will be displayed in blue. However, if the new rate exceeds your monitor's supported range, then the new rate will be displayed in red. Before you can set a rate higher than your monitor enables, you will be prompted to use a lower refresh rate.

CAUTION: Remember, that ignoring the warning messages about the unsupported refresh rates might cause unstable display and/or damaged hardware. Please refer to the chapter Troubleshooting in this document to learn how to recover from the situations where your monitor has become unstable or blank as a result of using unsupported modes.

• To quickly set the maximum rate your monitor is capable handling at the given resolution, double-click on the value in the Monitor column.

• To reset a refresh rate back to your current default rate, double- click on the value in the Current column.

Action list: setting rates for a batch of resolutions at once

Click on the Set: combo box under the editor window and choose a pre-defined action from the drop-down list. These actions apply to all modes in all color depths.

Set everything back to system default 60Hz - As the title says, each mode will be reset to the system's default rate -- usually 60Hz.

Set every resolution to monitor's maximum supported rate - A safe way to quickly set every mode to the maximum rate your monitor is capable handling at the given resolution.

Set every resolution to XXHz or to closest possible rate - Each resolution will be set to the indicated rate, or to a closest rate acceptable to your monitor. All other resolutions and refresh rates which don't match the given criteria are left intact.

Set by custom criteria - Lets you specify your own criteria. In the custom criteria dialog box there's an additional option of "set to closest possible rate" which, if checked, lets the program to find the closest safe refresh rate in case the rate you specified is too high for your monitor. If this option is unchecked, unsafe refresh rates won't be set.


Windows 2000/XP NVidia Refresh Rate Fix - FAQ

Frequently asked questions

Q: | Do you plan on adding support for other than NVidia chipsets as well?
A: | Not at this time, but perhaps in the future.
Q: | Are there any plans for adding supportfor Windows 95/98/ME or NT4?
A: | No. (see also next question)
Q: | Do you know anything similar for Windows 95/98/ME?
A: | Win 9x users have reported that HzTool works great for them. HzTool can be found here: http://hem.spray.se/doxx/
Q: | Can you change the program so I can enter custom refresh rates instead of preset values?
A: | No. All the refresh rates in NVRefFix are reported by the graphics subsystem. Making the program accept custom values requires drastic changes to the code.
Q: | After I've used your program, my TV-Out gets disabled. Why?
A: | This is a known problem and my best guess is that the TV-Out for some odd reason needs the 60Hz option to be present in the registry. The way NVRefFix works, is that it removes the lower refresh rates thus forcing the system to use higher values. Apparently the TV-Out doesn't 'like' that. I'm looking for a reasonable solution to that issue.
Q: | The program says it can't find my video card although I have NVidia chip for sure.
A: | Make sure you are using the correct drivers: www.nvidia.com. Almost all such problems are driver-related, so the first thing to do is to make sure you have the correct drivers installed and they are functioning properly. See also Troubleshooting and how to report errors.
Q: | I've set the refresh rates and rebooted, but when running games, the monitor still runs at 60Hz. WTF?
A: | Make sure you've set the refresh rates for ALL color depths and all resolutions. If the problem still persist, there's not much I can do to help you. For DirectX games you can override the default 60Hz refresh rate with DXDIAG utility: go to the More Help tab and click on Override button. For Quake III Arena and games based on that engine, you can enter the r_displayrefresh 75 command from the console followed by vid_restart. For Unreal Tournament you can change the RefreshRate setting in the UnrealTournament.ini to a higher value.


Windows 2000/XP NVidia Refresh Rate Fix - Troubleshooting

Troubleshooting and known limitations

Here are a few instructions in case something goes wrong. If you report an error or a bug, please include the program log with your report.

You can access the log by pressing Alt+L anywhere within the program.

• The program fails to detect your setup:
If you are sure you have a NVidia based display adapter with the latest drivers installed, then the first thing to do is to verify that your chipset is listed in the supported device list. To do that, click on the "Supported devices..." button. If your display adapter was not listed in the supported device list, try updating the list. The master list will be updated as new drivers and chipsets become available, most likely within a few days after the release. Otherwise, if your display adapter was listed but the program still fails detecting it, please restart the program, do the detection again and send me the program log. See above how to access the log.

• The program suddenly crashes and/or displays an error message:
Report the author the error message and, if possible, a step-by-step description about how to reproduce the error.

• The display goes blank, or displays garbage after you have applied your changes and restarted Windows:

IMPORTANT! Make sure you memorize the steps described below if you don't know how to act in such situations. It is also strongly recommended that you let the program to save the backup. You can safely overwrite your old backup file, when prompted so.
  1. Restart Windows and boot to safe mode. For more information about how to boot to safe mode, see your Windows 2000 or XP manuals.

  2. The simplest way is to reinstall your display adapter drivers. If you for some reason can't do that, then you'll have to use the backup settings file to restore your configuration. The backup settings file will be created by the program automatically, unless you explicitly specified not to save the backup. In such case, you will have to reinstall the display adapter drivers.

    By default, your settings will be saved to a file named NVRFX-Backup-XXXX.reg where XXXX represents the driver version.

    To import the backup settings, open Windows Explorer, browse to the backup file, and double-click on it to import the settings. By default, the backup file is in the same folder as the program, unless you specified another location.

    Answer Yes to the question about adding information to the registry.

  3. Restart Windows again and boot normally. Your settings should now have been restored. If the display still goes blank or displays garbage, you will have to reinstall your display adapter drivers. The latest NVidia drivers can be downloaded from http://www.nvidia.com

Known limitations

• This program can be run only under Windows XP and Windows 2000.

• You need sufficient privileges to modify registry settings. Administrators and some advanced users have this privilege. The default users and powerusers do not have this privilege by default.

• Only display adapters with NVidia chipsets are supported.

• Multimonitor setups: currently, only the primary monitor will be detected and used to report supported refresh rate ranges.

• Systems with more than one display adapter: totally untested. Advises and test results are highly appreciated.


Windows 2000/XP NVidia Refresh Rate Fix - Author

Author

Have a NVidia chipset for sure but the program still fails detecting it? Read this important information about updating the list of supported devices.

Have a question? Read the FAQ and Troubleshooting and limitations sections first, in most cases the question has already been answered. Please bear in mind that this is a unsupported product.
Name: | Sten Uusvali
E-mail: | ztn@planetquake.com
Homepage: | http://www.planetquake.com/ztn

Credits

Thank you to all the donators! Your support is much appreciated.

A special thank you to the people who have helped me test and debug this program:
paradies, mrtn, Rainforest1155, Arcana, Jerry Derevyanny, Chris 'kanaeda' Voss, Tim Rennie, Jesper Mortensen, John Drohan, André Borchert.

Spiritual support by Rev. Justis Walkert, Joe Hill and Frank Lee.

NSIS Installer provided by Nullsoft, Inc.

Copyright notes

Copyright © 2000, 2001 Sten Uusvali

By installing, copying, or otherwise using this Software, you agree to be bound by the terms listed below.

This Software is freeware. You are allowed to distribute this Software by any means of electronic transfer or physical media.

This Software must be provided free of any charge to the recipient, and may not be modified in any way.

All the files included in the original installation must remain intact and unmodified.

This Software is not supported by Microsoft Corp., or NVidia Corp.

NO WARRANTIES. The Author of this Software expressly disclaims any warranty for the Software Product. The Software Product and any related documentation is provided "as is" without warranty of any kind, either express or implied, including, without limitation, the implied warranties or merchantability, fitness for a particular purpose, or noninfringement. The entire risk arising out of use or performance of this Software Product remains with the user.

NO LIABILITY FOR DAMAGES. In no event shall the Author of this Software be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use this Software, even if the Author of this Software has been advised of the possibility of such damages. Because some states/jurisdictions do not allow the exclusion or limitation of liability for consequential or incidental damages, the above limitation may not apply to you. In such case you should not use this Software.

All brands and product names mentioned in this document and in the Software are trademarks of their respective owners.